---
apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  annotations:
    controller-gen.kubebuilder.io/version: v0.8.0
  creationTimestamp: null
  name: hostnameinfos.sitedetails.webservices.cern.ch
spec:
  group: sitedetails.webservices.cern.ch
  names:
    kind: HostnameInfo
    listKind: HostnameInfoList
    plural: hostnameinfos
    singular: hostnameinfo
  scope: Namespaced
  versions:
  - name: v1alpha1
    schema:
      openAPIV3Schema:
        description: HostnameInfo provides information about a hostname exposed by
          the cluster. The name of the resource is the hostname whose details are
          provided.
        properties:
          apiVersion:
            description: 'APIVersion defines the versioned schema of this representation
              of an object. Servers should convert recognized schemas to the latest
              internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources'
            type: string
          data:
            description: Contains information about a hostname.
            properties:
              administratorGroup:
                description: The administrator group of the parent project for that
                  hostname
                type: string
              category:
                description: The category of the parent project for that hostname
                  (Official, Personal or Test)
                type: string
              description:
                description: The description of the parent project for that hostname
                type: string
              owner:
                description: The username of the owner of the parent project for that
                  hostname
                type: string
            type: object
          kind:
            description: 'Kind is a string value representing the REST resource this
              object represents. Servers may infer this from the endpoint the client
              submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds'
            type: string
          metadata:
            type: object
        type: object
    served: true
    storage: true
status:
  acceptedNames:
    kind: ""
    plural: ""
  conditions: []
  storedVersions: []
